# vim: set sw=4 ts=4 et nu:

Name:               butt
Version:            0.1.12
Release:            tww_1.0
Summary:            Broadcast Using This Tool
Source:             http://prdownloads.sourceforge.net/butt/butt-%{version}-src.tar.bz2
Patch1:             butt-fix.patch
URL:                http://metaversemusician.com/blog/
Group:              Productivity/Multimedia/Sound/Mixers
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}

## 2012-08-23, TWEEKS: Build Reqs modified from original SUSE RPM to work on SL/CentOS/RHEL

BuildRequires:      xorg-x11-server-devel
## TWEEKS: Need to get these from the DAG/RPMFORGE repo :
## http://wiki.centos.org/AdditionalResources/Repositories/RPMForge#head-f0c3ecee3dbb407e4eed79a56ec0ae92d1398e01
BuildRequires:      lame-devel lame-devel

BuildRequires:      libogg-devel libvorbis-devel

## TWEEKS: Need to get this from EPEL:
## http://dl.fedoraproject.org/pub/epel/6/
BuildRequires:      portaudio-devel fltk fltk-devel

BuildRequires:      gcc-c++ make glibc-devel pkgconfig
## TWEEKS: This was a req from the SUSE RPM I got this spec from
##BuildRequires:      update-desktop-files
# These ones are not really needed. Here only because fltk-config is stupid.
BuildRequires:      libjpeg-devel libpng-devel

%description
butt (broadcast using this tool) is an easy to use, multi OS streaming tool.
It supports ShoutCast and IceCast.

%prep
%setup -q
%patch1

%build
DEBUG="%{optflags}" \
./configure \
    --prefix "%{_prefix}" \
    --with-mp3 \
    --with-ogg
    
%__make %{?_smp_flags} DEBUG="%{optflags}"

%install
%__make prefix="%{_prefix}" DESTDIR="%{buildroot}" install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog KNOWN_BUGS LICENSE README
%{_bindir}/butt

%changelog
* Thu Sep 23 2012 tweeks@rackspace.com
- RPM spec modified for SL/CentOS/RHEL (needs EPEL & some DAG (see spec file))
* Tue Dec 27 2011 pascal.bleser@opensuse.org
- enable ogg/vorbis support
* Tue Dec 27 2011 pascal.bleser@opensuse.org
- initial version (0.1.12)
